ffxvid(1)

NAME
ffxvid

SYNOPSIS
ffxvid [-m <mode>] [-b|-v|-e|-r|-h] [-c <preset/config file>]

DESCRIPTION
ffxvid is a small yet quite capable shell script for encoding to the MPEG4 Part 2/Xvid video format using the FFmpeg encoder and libxvid library. ffxvid supports a wide range of options for video encoding coupled with support for encoding multiple audio tracks and copying multiple subtitles. ffxvid only supports as input video files so it is not possible to encode directly from a DVD/BD drive or an ISO image.

The script uses a configuration file stored in $HOME/.ffxvid where the user can set things up. ffxvid is interactive in nature but the user can pass through it in under a few minutes.

REQUIREMENTS
- FFmpeg with libxvid support
- FFprobe (part of FFmpeg)
- MPlayer (for crop preview only)
- MP4Box from GPAC (for mp4/m4v/mov cover art only)
- bc

PARAMETERS

-m <mode>
    Specify a pass mode. If this option is not used, the script defaults to cq mode. Valid pass modes are:
    1p (1-pass mode)
    2p (2-pass mode)
    cq (constant quantizer mode)

-b  Activate batch encoding mode. This mode is used to encode directories with video files in them.

-c /path/to/file/preset.txt
    Load a custom preset file. The package includes an example preset file. This option can also be used to load a custom configuration file instead of a preset.

-e  Edit the configuration file.

-r  Reset the configuration file to its defaults.

-v  Display version and exit.

-h  Display internal help menu and exit.

SEE ALSO
ffmpeg (1)

AUTHORS
ffxvid was written by Grozdan Nikolov <neutrino8@gmail.com>

BUG REPORTS
Please send all bug reports and/or questions/suggestions/donations to <neutrino8@gmail.com>

WWW
https://ffxvid.teambelgium.net